Bug 524656 - fcntl of NFS file hanging condor_schedd and condor_shadow
Summary: fcntl of NFS file hanging condor_schedd and condor_shadow
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.1
Hardware: All
OS: Linux
medium
high
Target Milestone: 1.2
: ---
Assignee: Matthew Farrellee
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 16:04 UTC by Jon Thomas
Modified: 2018-10-20 04:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 00:47:06 UTC


Attachments (Terms of Use)

Description Jon Thomas 2009-09-21 16:04:30 UTC
Customer is seeing core dumps from schedd. From the description, these appear to be in different code sections.

Notes from customer:
 
I've generate backtraces and grabbed the ScheddLog for part of the timeline.  If you want the actual corefiles, let me know as I'll keep them around.

From cursory analysis it looks like one SEGV and a SIGABRT from the master for condor_schedd hung in a futex related to the qmf plugins.

Comment 4 Steve Dickson 2009-10-06 11:07:33 UTC
When the hang occurs, please create a system-wide backtrace by
doing a "echo t > /proc/sysrq-trigger". The backtrace will be
in /var/log/messages (or dmesg > /tmp/systemtrace.txt).

Comment 7 Matthew Farrellee 2009-10-26 00:47:06 UTC
This appears to be an issue fixed between RHEL 5.2 and RHEL 5.4, unrelated to MRG.


Note You need to log in before you can comment on or make changes to this bug.